#
# spec file for package ghc-base-unicode-symbols
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name base-unicode-symbols
Name:           ghc-%{pkg_name}
Version:        0.2.4.2
Release:        150500.11.3.1
Summary:        Unicode alternatives for common functions and operators
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}

%description
This package defines new symbols for a number of functions, operators and types
in the base package.

All symbols are documented with their actual definition and information
regarding their Unicode code point. They should be completely interchangeable
with their definitions.

For further Unicode goodness you can enable the 'UnicodeSyntax' language
extension [1]. This extension enables Unicode characters to be used to stand
for certain ASCII character sequences, i.e. → instead of ->, ∀ instead of
forall and many others.

[1]
<https://downloads.haskell.org/~ghc/latest/docs/html/users_guide/glasgow_exts.html#unicode-syntax>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.markdown

%changelog
* Mon Feb  5 2024 psimons@suse.com
- Replace HTML entities in the package description with the actual
  unicode characters.
* Wed Jul 10 2019 psimons@suse.com
- Add base-unicode-symbols at version 0.2.4.2.
